Index: uspace/lib/gui/button.c
===================================================================
--- uspace/lib/gui/button.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/button.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -36,7 +36,7 @@
 #include <str.h>
 #include <stdlib.h>
-#include <drawctx.h>
-#include <surface.h>
-#include <font/embedded.h>
+#include <draw/drawctx.h>
+#include <draw/surface.h>
+#include <draw/font.h>
 #include <errno.h>
 #include "common.h"
Index: uspace/lib/gui/button.h
===================================================================
--- uspace/lib/gui/button.h	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/button.h	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -40,6 +40,6 @@
 #include <io/pixel.h>
 
-#include <source.h>
-#include <font.h>
+#include <draw/source.h>
+#include <draw/font.h>
 
 #include "connection.h"
Index: uspace/lib/gui/canvas.c
===================================================================
--- uspace/lib/gui/canvas.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/canvas.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -36,7 +36,7 @@
 #include <stdlib.h>
 #include <transform.h>
-#include <source.h>
-#include <surface.h>
-#include <drawctx.h>
+#include <draw/source.h>
+#include <draw/surface.h>
+#include <draw/drawctx.h>
 #include "window.h"
 #include "canvas.h"
Index: uspace/lib/gui/canvas.h
===================================================================
--- uspace/lib/gui/canvas.h	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/canvas.h	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -39,5 +39,5 @@
 #include <stdbool.h>
 #include <io/pixel.h>
-#include <surface.h>
+#include <draw/surface.h>
 #include "widget.h"
 #include "connection.h"
Index: uspace/lib/gui/common.c
===================================================================
--- uspace/lib/gui/common.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/common.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -36,5 +36,5 @@
 #include <stddef.h>
 #include <stdint.h>
-#include <drawctx.h>
+#include <draw/drawctx.h>
 #include "common.h"
 
Index: uspace/lib/gui/common.h
===================================================================
--- uspace/lib/gui/common.h	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/common.h	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -37,5 +37,5 @@
 #define GUI_COMMON_H_
 
-#include <drawctx.h>
+#include <draw/drawctx.h>
 
 extern void draw_icon_cross(surface_t *, sysarg_t, sysarg_t, pixel_t, pixel_t);
Index: uspace/lib/gui/grid.c
===================================================================
--- uspace/lib/gui/grid.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/grid.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -38,5 +38,5 @@
 #include <mem.h>
 #include <stdlib.h>
-#include <surface.h>
+#include <draw/surface.h>
 #include "window.h"
 #include "grid.h"
Index: uspace/lib/gui/label.c
===================================================================
--- uspace/lib/gui/label.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/label.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -35,8 +35,8 @@
 
 #include <str.h>
-#include <drawctx.h>
+#include <draw/drawctx.h>
 #include <stdlib.h>
-#include <surface.h>
-#include <font/embedded.h>
+#include <draw/surface.h>
+#include <draw/font.h>
 #include <errno.h>
 #include "window.h"
Index: uspace/lib/gui/label.h
===================================================================
--- uspace/lib/gui/label.h	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/label.h	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -40,6 +40,6 @@
 #include <io/pixel.h>
 
-#include <source.h>
-#include <font.h>
+#include <draw/source.h>
+#include <draw/font.h>
 
 #include "connection.h"
Index: uspace/lib/gui/minimal.c
===================================================================
--- uspace/lib/gui/minimal.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/minimal.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -35,5 +35,5 @@
 
 #include <stdlib.h>
-#include <surface.h>
+#include <draw/surface.h>
 
 #include "window.h"
Index: uspace/lib/gui/terminal.c
===================================================================
--- uspace/lib/gui/terminal.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/terminal.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -37,6 +37,6 @@
 #include <stdlib.h>
 #include <io/chargrid.h>
-#include <surface.h>
-#include <gfx/font-8x16.h>
+#include <draw/surface.h>
+#include <draw/gfx.h>
 #include <io/con_srv.h>
 #include <io/concaps.h>
Index: uspace/lib/gui/terminal.h
===================================================================
--- uspace/lib/gui/terminal.h	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/terminal.h	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -39,5 +39,5 @@
 #include <stddef.h>
 #include <fibril_synch.h>
-#include <font.h>
+#include <draw/font.h>
 #include <io/chargrid.h>
 #include <io/con_srv.h>
Index: uspace/lib/gui/window.c
===================================================================
--- uspace/lib/gui/window.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/window.c	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -52,9 +52,8 @@
 
 #include <io/pixel.h>
-#include <source.h>
-#include <font.h>
-#include <drawctx.h>
-#include <surface.h>
-#include <font/embedded.h>
+#include <draw/source.h>
+#include <draw/font.h>
+#include <draw/drawctx.h>
+#include <draw/surface.h>
 
 #include "common.h"
Index: uspace/lib/gui/window.h
===================================================================
--- uspace/lib/gui/window.h	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
+++ uspace/lib/gui/window.h	(revision d22be89315153d7132553b24f02f3f7a6d19c51a)
@@ -42,5 +42,5 @@
 #include <ipc/window.h>
 #include <io/window.h>
-#include <surface.h>
+#include <draw/surface.h>
 
 #include "widget.h"
